Bug 1445283 - Error: undefined method `all' for nil:NilClass [ems_cluster/button] when clicked set retirements Dates for the VMS
Summary: Error: undefined method `all' for nil:NilClass [ems_cluster/button] when cli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: ui:retirement
Depends On: 1442691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 12:25 UTC by Satoe Imaishi
Modified: 2017-05-31 15:00 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442691
Environment:
Last Closed: 2017-05-31 15:00:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-25 12:28:42 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/cbc9d43c1215caa17cffa61998210b35c6e1fbb6

commit cbc9d43c1215caa17cffa61998210b35c6e1fbb6
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Apr 25 09:54:20 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 25 08:25:50 2017 -0400

    Merge pull request #1136 from isimluk/rhbz#1442691
    
    Find correct klass for rbac check for `retirevms`
    (cherry picked from commit d7743ae1d14622f6c5e0ca0139029496de20f5ca)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445283

 .../application_controller/ci_processing.rb           | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2017-04-26 08:02:43 UTC
It works fine.
Verified in Version 5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 15:00:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.